Verify User Email
POST
/api/superadmin/users/{user_id}/verify-email
const url = 'https://example.com/api/superadmin/users/example/verify-email';const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://example.com/api/superadmin/users/example/verify-email \ --header 'Authorization: Bearer <token>'Manually mark a user’s email as verified (superadmin only).
Use this to resolve CWE-287 duplicate-account blocks: when auto-merge is blocked because the duplicate account’s email is unverified, verifying it here unblocks the merge on the user’s next login.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”user_id
required
User Id
string
Responses
Section titled “Responses”Successful Response
Media typeapplication/json
Response Verify User Email Api Superadmin Users User Id Verify Email Post
object
key
additional properties
any
Examplegenerated
{}Validation Error
Media typeapplication/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationErrorobject
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
input
Input
ctx
Context
object
Examplegenerated
{ "detail": [ { "loc": [ "example" ], "msg": "example", "type": "example", "input": "example", "ctx": {} } ]}